__REQUEST_MODULE(9)

NAME
__request_module - try to load a kernel module

SYNOPSIS

int __request_module(bool wait, const char * fmt, ...);

ARGUMENTS

wait
    wait (or not) for the operation to complete

fmt
    printf style format string for the name of the module @...: arguments as specified in the format string

...
    variable arguments

DESCRIPTION

Load a module using the user mode module loader. The function returns zero on success or a negative errno code on failure. Note that a successful module load does not mean the module did not then unload and exit on an error of its own. Callers must check that the service they requested is now available not blindly invoke it.

If module auto-loading support is disabled then this function becomes a no-operation.

COPYRIGHT